package com.yihu.hos.system.dao.intf;

import com.yihu.hos.web.framework.dao.XSQLGeneralDAO;
import com.yihu.hos.system.model.SystemRoleMenu;

import java.util.List;

/**
 * Created by chenweida on 2016/2/19.
 */
public interface ISystemRoleMenuDao extends XSQLGeneralDAO {
    List<SystemRoleMenu> getSystemRoleMenuListByRoleId(String roleId) throws Exception;

    SystemRoleMenu getRoleMenuByRoleIdAndMenuId(String roleId, String menuId) throws Exception;

    void deleteAllByRoleId(String roleId)throws Exception;
}
